local addonName, a = ...
local c = BittensGlobalTables.GetTable("BittensSpellFlashLibrary")

a.AddonName = addonName
c.Init(a)

a.SpellIDs = {
   ["Alter Time"] = 108978,
   ["Arcane Barrage"] = 44425,
   ["Arcane Blast"] = 30451,
   ["Arcane Brilliance"] = 1459,
   ["Arcane Charge"] = 114664,
   ["Arcane Explosion"] = 1449,
   ["Arcane Instability"] = 166872, -- T174PC arcane
   ["Arcane Missiles!"] = 79683,
   ["Arcane Missiles"] = 5143,
   ["Arcane Orb"] = 153626,
   ["Arcane Power"] = 12042,
   ["Brain Freeze"] = 57761,
   ["Cold Snap"] = 11958,
   ["Combustion DoT"] = 83853,
   ["Combustion"] = 11129,
   ["Cone of Cold"] = 120,
   ["Counterspell"] = 2139,
   ["Dalaran Brilliance"] = 61316,
   ["Deep Freeze"] = 44572,
   ["Evocation"] = 12051,
   ["Fingers of Frost"] = 44544,
   ["Fire Blast"] = 2136,
   ["Fireball"] = 133,
   ["Flamestrike"] = 2120,
   ["Freeze"] = 33395,
   ["Frost Bomb"] = 112948,
   ["Frost Nova"] = 122,
   ["Frostbolt"] = 116,
   ["Frostfire Bolt"] = 44614,
   ["Frozen Orb"] = 84714,
   ["Heating Up"] = 48107,
   ["Ice Barrier"] = 11426,
   ["Ice Floes"] = 108839,
   ["Ice Lance"] = 30455,
   ["Icy Veins Glyphed"] = 131078,
   ["Icy Veins"] = 12472,
   ["Ignite"] = 12654,
   ["Inferno Blast"] = 108853,
   ["Living Bomb"] = 44457,
   ["Mirror Image"] = 55342,
   ["Nether Tempest"] = 114923,
   ["Presence of Mind"] = 12043,
   ["Prismatic Crystal"] = 152087,
   ["Pyroblast!"]= 48108,
   ["Pyroblast"] = 11366,
   ["Rune of Power"] = 116011,
   ["Scorch"] = 2948,
   ["Spellsteal"] = 30449,
   ["Summon Water Elemental"] = 31687,
   ["Supernova"] = 157980,
   ["Time Warp"] = 80353,

   -- Items
   ["Combat Mind LFR"] = 109793,
   ["Combat Mind"] = 107970,
   ["Combat Mind Heroic"] = 109795,
   ["Profound Magic"] = 145252,
   ["Stolen Time"] = 105785,
}

a.TalentIDs = {
   ["Arcane Orb"] = 153626,
   ["Frost Bomb"] = 112948,
   ["Incanter's Ward"] = 1463,
   ["Overpowered"] = 155147,
   ["Prismatic Crystal"] = 152087,
   ["Rune of Power"] = 116011,
}

a.GlyphIDs = {
   ["Cone of Cold"] = 115705,
   ["Evocation"] = 56380,
   ["Frostfire Bolt"] = 61205,
   ["Icy Veins"] = 56364,
}

a.EquipmentSets = {
   T17 = {
       ChestSlot    = { 115550 },
       ShoulderSlot = { 115551 },
       HandsSlot    = { 115552 },
       HeadSlot     = { 115553 },
       LegsSlot     = { 115554 },
   },
}
